View Issue Details

IDProjectCategoryView StatusLast Update
0000119Adventure PHP FrameworkNeues Feature // New Featurepublic2018-02-13 19:26
ReporterScreezeAssigned ToChristianAchatz 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version2.0 
Target Version3.4Fixed in Version3.4 
Summary0000119: Form iterator // reusable form elements
DescriptionEs sollte möglich sein den Iterator in Formularen zu verwenden, sodass auch Formular-Elemente in den Items enthalten sein können.
TagsNo tags attached.
Codereferenz: ([Datei]:[Zeile])
Namespacetools

Activities

ChristianAchatz

2014-03-12 07:36

administrator   ~0000261

Requires new APF parser, thus postponed to 2.2.

ChristianAchatz

2015-09-05 17:05

administrator   ~0000592

Moved to 3.2 to shape scope for 3.1.

ChristianAchatz

2017-09-08 15:25

administrator   ~0000793

Approach for repetitive form fields described under http://forum.adventure-php-framework.org/viewtopic.php?f=5&t=5658.

ChristianAchatz

2017-09-08 15:26

administrator   ~0000794

Scope for 3.4 at least to provide a fully functional implementation of the generic form group tag.

ChristianAchatz

2017-12-04 09:55

administrator   ~0000803

Re-use task to implement re-usable form control iteration/styling/... feature discussed under https://adventure-php-framework.org/forum/viewtopic.php?f=5&t=5658&p=20587#p20587.

ChristianAchatz

2018-02-03 15:19

administrator   ~0000804

Added <form:block/> tag to allow definition of re-usable form blocks via templates. See changes under https://github.com/AdventurePHP/code/commit/d1c3768a2dfd504ee3e22b463c9bdb9f31e49010.

Documentation to be updated.

ChristianAchatz

2018-02-11 14:58

administrator   ~0000805

Completed German documentation, see changes under https://github.com/AdventurePHP/docs/commit/da860af1c832ffbd38cba8c07fae4d6f527bd5d5.

ChristianAchatz

2018-02-13 19:25

administrator   ~0000806

Completed English documentation. See changes under https://github.com/AdventurePHP/docs/commit/9deb39c06e6a3b0559c461999132205b83f18a74.

Issue History

Date Modified Username Field Change
2014-01-13 08:23 Screeze New Issue
2014-03-12 07:36 ChristianAchatz Note Added: 0000261
2014-03-12 07:36 ChristianAchatz Status new => acknowledged
2014-03-12 07:36 ChristianAchatz Target Version 2.1 => 3.0
2015-02-03 06:37 ChristianAchatz Assigned To => ChristianAchatz
2015-02-03 06:37 ChristianAchatz Status acknowledged => assigned
2015-03-07 10:22 ChristianAchatz Status assigned => acknowledged
2015-03-07 10:22 ChristianAchatz Target Version 3.0 => 3.1
2015-03-07 10:23 ChristianAchatz Assigned To ChristianAchatz =>
2015-03-07 10:23 ChristianAchatz Status acknowledged => new
2015-09-05 17:05 ChristianAchatz Note Added: 0000592
2015-09-05 17:05 ChristianAchatz Target Version 3.1 => 3.2
2016-03-23 14:01 ChristianAchatz Target Version 3.2 => 3.3
2016-08-10 14:21 ChristianAchatz Target Version 3.3 => 3.4
2017-09-08 15:25 ChristianAchatz Note Added: 0000793
2017-09-08 15:25 ChristianAchatz Assigned To => ChristianAchatz
2017-09-08 15:25 ChristianAchatz Status new => assigned
2017-09-08 15:26 ChristianAchatz Note Added: 0000794
2017-09-08 15:27 ChristianAchatz Summary Formular-Iterator => Form iterator // reusable form elements
2017-12-04 09:55 ChristianAchatz Note Added: 0000803
2018-02-03 15:19 ChristianAchatz Note Added: 0000804
2018-02-11 14:58 ChristianAchatz Note Added: 0000805
2018-02-13 19:25 ChristianAchatz Note Added: 0000806
2018-02-13 19:26 ChristianAchatz Status assigned => resolved
2018-02-13 19:26 ChristianAchatz Resolution open => fixed
2018-02-13 19:26 ChristianAchatz Fixed in Version => 3.4